<?php
global $wpdb;

$NATableName = $wpdb->prefix . "NAAdsList";

if(!isset($_GET['Action']))
{

if(!empty($_POST["submit"])) 
{  
	$NAErrorHandle = false;
	
	$NABgIMG = $_POST["NABgIMG"]; 
	update_option("NABgIMG", $NABgIMG);
	$NASkipText = strip_tags($_POST["NASkipText"]); 
	update_option("NASkipText", strip_tags($NASkipText));
	$NABgColor = $_POST["NABgColor"];
	$NABgOpacity = $_POST["NABgOpacity"];
	$NABgInnerColor = $_POST["NABgInnerColor"];
	$NABorderColor = $_POST["NABorderColor"];
	$NAShadowColor = $_POST["NAShadowColor"];
	$NAzIndex = $_POST["NAzIndex"];
	$NASkipText = $_POST["NASkipText"];
	$NACookieEnabled = "";
	$NACookieExpire = $_POST["NACookieExpire"];
	
	// Check the Hex Color Code for NABgColor
	if(preg_match("/^#[a-f0-9]{6}$/i", $NABgColor)) 
	{
		 update_option("NABgColor", $NABgColor);
	} 
	else
	{
		$NAErrorHandle = true;
		$NAErrorCode1 = true;
	}
	
	//Change value for NABgOpacity when 
	if($NABgOpacity > 1)
	{
		$NABgOpacity = 1;
		update_option("NABgOpacity", $NABgOpacity);
	}
	else if ($NABgOpacity < 0)
	{
		$NABgOpacity = 0;
		update_option("NABgOpacity", $NABgOpacity);
	}
	else
	{
		update_option("NABgOpacity", $NABgOpacity);
	}
	
	if(!is_numeric($NABgOpacity))
	{
		$NAErrorHandle = true;
		$NAErrorCode7 = true;
	}
	
	// Check the Hex Color Code for NABgInnerColor
	if(preg_match("/^#[a-f0-9]{6}$/i", $NABgInnerColor)) 
	{
		 update_option("NABgInnerColor", $NABgInnerColor);
	} 
	else
	{
		$NAErrorHandle = true;
		$NAErrorCode2 = true;
	}
	
	// Check the Hex Color Code for NABorderColor
	if(preg_match("/^#[a-f0-9]{6}$/i", $NABorderColor)) 
	{
		 update_option("NABorderColor", $NABorderColor);
	} 
	else
	{
		$NAErrorHandle = true;
		$NAErrorCode3 = true;
	}
	
	// Check the Hex Color Code for NAShadowColor
	if(preg_match("/^#[a-f0-9]{6}$/i", $NAShadowColor)) 
	{
		 update_option("NAShadowColor", $NAShadowColor);
	} 
	else
	{
		$NAErrorHandle = true;
		$NAErrorCode4 = true;
	}
	
	if(isset($_POST["NACookieEnabled"]))
	{
		update_option("NACookieEnabled", "true");
		$NACookieEnabled = "true";
	} 
	else 
	{
		update_option("NACookieEnabled", "false");
		$NACookieEnabled = "false";
	}
	
	
	if(isset($NACookieExpire) && ($NACookieExpire === '0' || !empty($NACookieExpire)))
	{
		update_option("NACookieExpire", $NACookieExpire);
	}
	else if(!is_numeric($NACookieExpire))
	{
		$NAErrorHandle = true;
		$NAErrorCode5 = true;
	}
	else if($NACookieExpire < 0)
	{
		$NAErrorHandle = true;
		$NAErrorCode6 = true;
	}
	else if(!empty($NACookieExpire))
	{
		update_option("NACookieExpire", $NACookieExpire);
	}
	else
	{
		update_option('NACookieExpire', 5);
		$NACookieExpire = 5;
	}
	
	$NAEnabled = get_option("NAEnabled");
	$NAGlobalAdStatus = get_option("NAGlobalAdStatus");
	$NAGlobalAd = get_option("NAGlobalAd");
	$NAHomepageEnabled = get_option("NAHomepageEnabled");
	$NAHomepageAd = get_option("NAHomepageAd");
 
}
else 
{ 
	 $NAErrorHandle = false;
	 $NABgColor = get_option("NABgColor");
	 $NABgIMG = get_option("NABgIMG");
	 $NABgOpacity = get_option("NABgOpacity");
	 $NABgInnerColor = get_option("NABgInnerColor");
	 $NABorderColor = get_option("NABorderColor");
	 $NAShadowColor = get_option("NAShadowColor");
	 $NAzIndex = get_option("NAzIndex");
	 $NACookieEnabled = get_option("NACookieEnabled");
	 $NACookieExpire = get_option("NACookieExpire");
	 $NAEnabled = get_option("NAEnabled");
	 $NASkipText = get_option("NASkipText");
	 $NAGlobalAd = get_option("NAGlobalAd");
	 $NAGlobalAdStatus = get_option("NAGlobalAdStatus");
	 $NAHomepageEnabled = get_option("NAHomepageEnabled");
	 $NAHomepageAd = get_option("NAHomepageAd");
} 
if(!empty($_POST["NAEnableOrDisable"])) 
{	
	$NAAdCounter = $wpdb->get_row("SELECT count(*) NACount FROM " . $NATableName . "", ARRAY_A);
	
	if($NAAdCounter['NACount'] == 0)
	{
		update_option("NAEnabled", false);
		$NAErrorHandle = true;
		$NAErrorCode8 = true;
	}
	else if($_POST["NAEnableOrDisable"] == "Enable")
	{
		$NAEnabled = true;
		update_option("NAEnabled", $NAEnabled);
	}
	else if($_POST["NAEnableOrDisable"] == "Disable")
	{
		$NAEnabled = false;
		update_option("NAEnabled", $NAEnabled);
	}
} 

if(!empty($_POST["NAGlobalAdState"])) 
{
	if($_POST["NAGlobalAdState"] == "Enable")
	{
		$NAGlobalAdStatus = true;
		update_option("NAGlobalAdStatus", $NAGlobalAdStatus );
	}
	else if($_POST["NAGlobalAdState"] == "Disable")
	{
		$NAGlobalAdStatus = false;
		update_option("NAGlobalAdStatus", $NAGlobalAdStatus);
	}
} 

if(!empty($_POST["NAGlobalAdSetter"])) 
{
	update_option("NAGlobalAd", $_POST['NAGlobalAd']);
	$NAGlobalAd = $_POST["NAGlobalAd"];
} 

if(!empty($_POST["NAHomepageAdSetter"])) 
{
	update_option("NAHomepageAd", $_POST['NAHomepageAd']);
	$NAHomepageAd = $_POST["NAHomepageAd"];
	
	if(isset($_POST['NAHomepageEnabled']))
	{
		update_option("NAHomepageEnabled", "true");
		$NAHomepageEnabled  = "true";
	} 
	else 
	{
		update_option("NAHomepageEnabled", "false");
		$NAHomepageEnabled = "false";
	}
} 
?>  
<div class="wrap">  
<script type="text/javascript">
jQuery(function($) 
{
	ShowTimeArea();
	$("#NACookieEnabled").change(ShowTimeArea);
});
function ShowTimeArea()
{
	jQuery(function($) 
	{
		if($("#NACookieEnabled").is(':checked'))
		{
			$("#NACookieExpireT").show();
		}
		else
		{
			$("#NACookieExpireT").hide();
		}
	});
}
</script>
	<div class="icon32"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/IconNA.png" alt="NagAds Icon"/></div>
	<h2>NagAds Settings</h2>
    <?
	if($NAErrorHandle == true) 
	{
		$ErrorMSG = "Here is the error :<BR /><BR />";
		
		if(isset($NAErrorCode1))
		{
			$ErrorMSG .= "- Please write a correct color code ! (Background Color)<BR />";
		}
		if(isset($NAErrorCode2))
		{
		$ErrorMSG .= "- Please write a correct color code ! (Inner Background Color)<BR />";
		}
		if(isset($NAErrorCode3))
		{
			$ErrorMSG .= "- Please write a correct color code ! (Border Color)<BR />";
		}
		if(isset($NAErrorCode4))
		{
			$ErrorMSG .= "- Please write a correct color code ! (Shadow Color)<BR />";
		}
		if(isset($NAErrorCode5))
		{
			$ErrorMSG .= "- Please write a numeric value for cookie expiration time<BR />";
		}
		if(isset($NAErrorCode6))
		{
			$ErrorMSG .= "- You can't use a number under 0 for cookie expiration time<BR />";
		}
		if(isset($NAErrorCode7))
		{
			$ErrorMSG .= "- Please write a numeric value for Background Color<BR />";
		}
		if(isset($NAErrorCode8))
		{
			$ErrorMSG .= "- Please add and ad before enabling NagAds !<BR />";
		}
		?>
		<div class="error" id="error"><p><b><?php echo $ErrorMSG; ?></b></p></div>	
	<?
	}
	else if(isset($_POST["submit"]))
	{
	?>
	<div id='setting-error-settings_updated' class='updated settings-error'> 
<p><strong>Settings saved successfully.</strong></p></div> 
	<?
	}
	?>
     
	<h3>How To Use ?</h3>
	<p>Complete the form below to set up the plugin and click after recording settings on the "Enable" button.</i></p>
    <p></p>
    <table class="form-table">
    <tr valign="top" align="center">
    <td>
    <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>">
    <?php 
	if($NAEnabled == true)
	{
		$NAButText = "Disable";
		$NAStateText = "<span style=\"color:#060; font-weight:bold; font-size:17px;\">NagAds is enabled</span>";
	}
	else
	{
		$NAButText = "Enable";
		$NAStateText = "<span style=\"color:#F00; font-weight:bold; font-size:17px;\">NagAds is disabled</span>";
	}
	?>
    <p align="center" class="submit"><input type="submit" name="NAEnableOrDisable" id="NAEnableOrDisable" class="button-primary" value="<?php echo $NAButText; ?>"  /><BR /><BR /><?php echo $NAStateText; ?></p>
    </form>
    </td>
    <td>
    <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>">
    <?php 
	if($NAGlobalAdStatus == true)
	{
		$NAButText = "Disable";
		$NAStateText = "<span style=\"color:#060; font-weight:bold; font-size:17px;\">Global Ad is enabled</span>";
	}
	else
	{
		$NAButText = "Enable";
		$NAStateText = "<span style=\"color:#F00; font-weight:bold; font-size:17px;\">Global Ad is disabled</span>";
	}
	?>
    <p align="center" class="submit"><input type="submit" name="NAGlobalAdState" id="NAGlobalAdState" class="button-primary" value="<?php echo $NAButText; ?>"  /><BR /><BR /><?php echo $NAStateText; ?></p>
    </form>
    </td>
    </tr>
    </table>
    <h3>Ads List</h3>
    <table class="form-table">
    	<tr valign="top" align="center">
     	   <td><span><strong>Name</strong></span></td>
           <td><span><strong>Type of content</strong></span></td>
           <td><span><strong>ID</strong></span></td>
           <td><span><strong>Actions</strong></span></td>
        </tr>
    <?php
	$NAResults = $wpdb->get_results('SELECT id, ContentType, Name FROM ' . $NATableName);
	
	$NAToReplace = array('yt', 'img', 'swf', 'frame', 'code');
	$NAReplaceBy = array('YouTube Video', 'Image', 'Flash Animation (.swf)', 'iFrame', 'Embed Code');
	
	foreach($NAResults as $Row) 
	{
		$NAContentTyp = str_replace($NAToReplace, $NAReplaceBy, $Row->ContentType);
	?>
    	<tr valign="top" align="center">
     	   <td><span><?=$Row->Name?></span></td>
           <td><span><?=$NAContentTyp ?></span></td>
           <td><span><?=$Row->id?></span></td>
           <td><span><a href="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>&Action=Edit&id=<?=$Row->id?>"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/edit.png" title="Edit" /></a></span><span style="margin-left:10px;"><a href="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>&Action=Delete&id=<?=$Row->id?>"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/delete.png" title="Delete" /></a></span></td>
        </tr>
    <?php
	}
	?>
    </table>
	<p></p>
    <p align="center" class="submit"><a href="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>&Action=Add" class="button-primary">Add an ad</a></p>
    <p></p>
    <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>"> 
	<h3>Global Ad</h3>
    <p>The "Global Ad" mode is allowing you to set an ad for the whole blog while setting some specific ad on some pages or articles.</p>
    <table class="form-table">
    <tr valign="top">
		<th scope="row"><label for="NAGlobalAd">Choose an ad</label></th>
			<td>
	<select name="NAGlobalAd" id="NAGlobalAd">	
     <?php
	$NAResults = $wpdb->get_results('SELECT id, ContentType, Name FROM ' . $NATableName);
	
	foreach($NAResults as $Row) 
	{
	?>
    	<option value="<?=$Row->id?>" <? if($NAGlobalAd == $Row->id) { echo "selected"; } ?>><?=$Row->Name?></option>
    <?php
	}
	?>		
	</select>
			</td>
		</tr>
    </table>
    <p class="submit"><input type="submit" name="NAGlobalAdSetter" id="NAGlobalAdSetter" class="button-primary" value="Save"  /></p>
    </form>
     <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>"> 
	<h3>Homepage Ad</h3>
    <p>Set here the ad you want to be shown on the homepage, this ad, if enabled will be shown even if the "Global Ad" mode is enabled. If you disable the homepage ad, no ads will be shown.</p>
    <table class="form-table">
    <tr valign="top">
		<th scope="row"><label for="NAHomepageAd">Choose an ad</label></th>
			<td>
	<select name="NAHomepageAd" id="NAHomepageAd">	
     <?php
	$NAResults = $wpdb->get_results('SELECT id, ContentType, Name FROM ' . $NATableName);
	
	foreach($NAResults as $Row) 
	{
	?>
    	<option value="<?=$Row->id?>" <? if($NAHomepageAd == $Row->id) { echo "selected"; } ?>><?=$Row->Name?></option>
    <?php
	}
	?>		
	</select>
			</td>
		</tr>
        <tr valign="top">
		<th scope="row"><label for="NAHomepageEnabled">Enable homepage ad</label></th>
			<td>
            <?
				if($NAHomepageEnabled == "true") 
				{
					$NAHomepageEnabledC = "checked";
				}
				?>
				<input type="checkbox" name="NAHomepageEnabled" id="NAHomepageEnabled" <? echo $NAHomepageEnabledC; ?>/>
<span class="description">If checked, the selected ad will be shown on homepage (only).</span>
			</td>
		</tr>
    </table>
    <p class="submit"><input type="submit" name="NAHomepageAdSetter" id="NAHomepageAdSetter" class="button-primary" value="Save"  /></p>
    </form>
	<form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>"> 
	<h3>Style settings</h3>
    <table class="form-table">
    <tr valign="top">
		<th scope="row"><label for="NASkipText">Skip Text</label></th>
			<td>
				<input name="NASkipText" type="text" id="NASkipText"  value="<?php echo strip_tags($NASkipText); ?>" class="regular-text" />
<span class="description">Replace the "Skip this ad >>" text by your own.</span>
			</td>
		</tr>
		<tr valign="top">
		<th scope="row"><label for="NABgColor">Background Color</label></th>
			<td>
				<input name="NABgColor" type="text" id="NABgColor"  value="<?php echo $NABgColor; ?>" class="regular-text" />
<span class="description">It's the color of the overlay (#000000).</span>
			</td>
		</tr>
        <tr valign="top">
		<th scope="row"><label for="NABgIMG">Background Image</label></th>
			<td>
				<input name="NABgIMG" type="text" id="NABgIMG"  value="<?php echo $NABgIMG; ?>" class="regular-text" />
<span class="description">URL of image used as background for the overlay. Leave empty if you don't use it.</span>
			</td>
		</tr>
        <tr valign="top">
		<th scope="row"><label for="NABgOpacity">Background Opacity</label></th>
			<td>
				<input name="NABgOpacity" type="text" id="NABgOpacity"  value="<?php echo $NABgOpacity; ?>" class="regular-text" />
<span class="description">It's the opacity of the overlay. Choose a value between 0 and 1.</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NABgInnerColor">Background color of inner area</label></th>
			<td>
				<input name="NABgInnerColor" type="text" id="NABgInnerColor"  value="<?php echo $NABgInnerColor; ?>" class="regular-text" />
<span class="description">(#000000)</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NABorderColor">Border Color</label></th>
			<td>
				<input name="NABorderColor" type="text" id="NABorderColor"  value="<?php echo $NABorderColor; ?>" class="regular-text" />
<span class="description">It's the color of the translucent border (#000000).</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NAShadowColor">Shadow Color</label></th>
			<td>
				<input name="NAShadowColor" type="text" id="NAShadowColor"  value="<?php echo $NAShadowColor; ?>" class="regular-text" />
<span class="description">It's the box shadow color (#000000).</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NAzIndex">Z-Index</label></th>
			<td>
				<input name="NAzIndex" type="text" id="NAzIndex"  value="<?php echo $NAzIndex; ?>" class="regular-text" />
<span class="description">It's the z-index (CSS) of the box..</span>
			</td>
		</tr>
	</table>
    
    	<h3>Cookie settings</h3>
    <table class="form-table">
		<tr valign="top">
		<th scope="row"><label for="NACookieEnabled">Enable Cookie</label></th>
			<td>
            <?
				if($NACookieEnabled == "true") 
				{
					$NACookieEnabledC = "checked";
				}
				?>
				<input type="checkbox" name="NACookieEnabled" id="NACookieEnabled" <? echo $NACookieEnabledC; ?>/>
<span class="description">This helps to regulate the display of advertising.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NACookieExpireT">
		<th scope="row"><label for="NACookieExpire">Cookie Expiration Time</label></th>
			<td>
				<input name="NACookieExpire" type="text" id="NACookieExpire"  value="<?php echo $NACookieExpire; ?>" class="regular-text" />
<span class="description">minutes. This is the time that will not display advertising when it appears.</span>
			</td>
		</tr>
	</table>

	<p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="Save Settings"  /></p>
	</form>
</div>
<?php
}
else if($_GET['Action'] == "Add")
{
	$NAErrorHandle = false;
	
	$NAAdminURL = str_replace( "%7E", "~", $_SERVER['REQUEST_URI']);
	$NAAdminURL = explode("&", $NAAdminURL);
	
	if(!empty($_POST["submit"])) 
	{ 
		$NAContentType = $_POST["NAContentType"];
		$NAName = $_POST["NAName"];
		$NADelay = $_POST["NADelay"];
		$NAURL = $_POST["NAURL"];
		$NAYouTubeID = $_POST["NAYouTubeID"];
		$NAAdsIMG = $_POST["NAAdsIMG"];
		$NAEmbedCode = $_POST["NAEmbedCode"];
 	    $NASWFURL = $_POST["NASWFURL"];
		$NAWidth = $_POST["NAWidth"];
		$NAHeight = $_POST["NAHeight"];
		
		if(isset($_POST["NASWFOverLink"])) 
		{
			$NASWFOverLink = "true";
		} 
		else 
		{
			$NASWFOverLink = "false";
		}

		if(!is_numeric($NADelay) && $NAContentType != "yt")
		{
			$NAErrorHandle = true;
			$NAErrorCode1 = true;
		}
		
		if(empty($NAName))
		{
			$NAErrorHandle = true;
			$NAErrorCode2 = true;
		}
		
		if(!is_numeric($NAWidth) && $NAContentType != "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode3 = true;
		}
		
		if(!is_numeric($NAHeight) && $NAContentType != "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode4 = true;
		}
		
		if(empty($NAYouTubeID) && $NAContentType == "yt")
		{
			$NAErrorHandle = true;
			$NAErrorCode5 = true;
		}
		
		if(empty($NAEmbedCode) && $NAContentType == "code")
		{
			$NAErrorHandle = true;
			$NAErrorCode6 = true;
		}
		
		if(empty($NASWFURL) && $NAContentType == "swf")
		{
			$NAErrorHandle = true;
			$NAErrorCode7 = true;
		}
		
		if(empty($NAAdsIMG) && $NAContentType == "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode8 = true;
		}
		
		if(empty($NAURL) && $NAContentType != "swf")
		{
			$NAErrorHandle = true;
			$NAErrorCode9 = true;
		}
		else if(empty($NAURL) && $NAContentType == "swf" && $NASWFOverLink == true)
		{
			$NAErrorHandle = true;
			$NAErrorCode9 = true;
		}
		
		if(!$NAErrorHandle)
		{
			$wpdb->insert($NATableName, array(
				'ContentType' => $NAContentType, 
				'Name' => mysql_real_escape_string(strip_tags($NAName)), 
				'AdsIMG' => mysql_real_escape_string($NAAdsIMG), 
				'Delay' => $NADelay, 
				'Link' => mysql_real_escape_string($NAURL), 
				'YouTubeID' => mysql_real_escape_string($NAYouTubeID), 
				'SWFURL' => mysql_real_escape_string($NASWFURL), 
				'EmbedCode' => stripslashes(htmlentities($NAEmbedCode)),
				'Width' => mysql_real_escape_string($NAWidth), 
				'Height' => mysql_real_escape_string($NAHeight),
				'LinkOverSWF' => mysql_real_escape_string($NASWFOverLink)
			));
			
			$NAAdCounter = $wpdb->get_row("SELECT count(*) NACount FROM " . $NATableName . "", ARRAY_A);
	
			if($NAAdCounter['NACount'] == 1)
			{
				$NAAd = $wpdb->get_row("SELECT * FROM " . $NATableName . "", ARRAY_A);
				update_option("NAGlobalAd", $NAAd['id']);
			}
		}
	}
?>
<div class="wrap">  
<script type="text/javascript">
jQuery(function($) 
{
	ChangeContentType();
	$("#NAContentType").change(ChangeContentType);
});

function ChangeContentType()
{
	jQuery(function($) 
	{
		if($("#NAContentType").val() == "yt")
		{
			$("#NAYouTubeIDT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NADelayT").hide();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
		}
		else if($("#NAContentType").val() == "img")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAAdsIMGT").show();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAWidthT").hide();
			$("#NAHeightT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
		}
		else if($("#NAContentType").val() == "swf")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NASWFOverLinkT").show();
			$("#NAHeightT").show();
			$("#NASWFURLT").show();
			$("#NAAdsIMGT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();
			$("#NAEmbedCodeT").hide();
			
		}
		else if($("#NAContentType").val() == "frame")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
			
		}
		else if($("#NAContentType").val() == "code")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NAEmbedCodeT").show();
			$("#NASWFOverLinkT").show();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();	
		}
	});
}
</script>
<div class="icon32"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/IconNA.png" alt="NagAds Icon"/></div>
<h2>NagAds Settings</h2>
    <?
	if($NAErrorHandle == true) 
	{
			$ErrorMSG = "Here is the error :<BR /><BR />";
			
			if(isset($NAErrorCode1))
			{
				$ErrorMSG .= "- Please write a numeric value for Delay.<BR />";
			}
			if(isset($NAErrorCode2))
			{
				$ErrorMSG .= "- Please write a name for the Ad.<BR />";
			}
			if(isset($NAErrorCode3))
			{
				$ErrorMSG .= "- Please write a numeric value for the Width.<BR />";
			}
			if(isset($NAErrorCode4))
			{
				$ErrorMSG .= "- Please write a numeric value for the Height.<BR />";
			}
			if(isset($NAErrorCode5))
			{
				$ErrorMSG .= "- Please write a YouTube ID.<BR />";
			}
			if(isset($NAErrorCode6))
			{
				$ErrorMSG .= "- Please write a code to embed.<BR />";
			}
			if(isset($NAErrorCode7))
			{
				$ErrorMSG .= "- Please write an swf URL.<BR />";
			}
			if(isset($NAErrorCode8))
			{
				$ErrorMSG .= "- Please write an image URL.<BR />";
			}
			if(isset($NAErrorCode9))
			{
				$ErrorMSG .= "- Please write a link URL.<BR />";
			}
			?>
<div class="error" id="error"><p><b><?php echo $ErrorMSG; ?></b></p></div>	
	<?
	}
	else if(isset($_POST["submit"]))
	{
	?>
<script type="text/javascript">
window.location = "<?=$NAAdminURL[0]?>";
</script>
	<?
	}
	?>

 <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>"> 
	<h3>Add an ad</h3>
    <table class="form-table">
		<tr valign="top">
		<th width="204" scope="row"><label for="NAContentType">Type Of Content</label></th>
			<td >
				<select name="NAContentType" id="NAContentType">		
				<option value="yt" <? if($NAContentType == "yt") { echo "selected"; } ?>>YouTube Video</option>
                <option value="img" <? if($NAContentType == "img") { echo "selected"; } ?>>Image</option>
                <option value="swf" <? if($NAContentType == "swf") { echo "selected"; } ?>>Flash Animation (.swf)</option>	
                <option value="frame" <? if($NAContentType == "frame") { echo "selected"; } ?>>Frame</option>	
                <option value="code" <? if($NAContentType == "code") { echo "selected"; } ?>>Embed a code</option>				
				</select>
<span class="description">The type of content.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NANameT">
		<th scope="row"><label for="NAName">Nom of the ad</label></th>
			<td>
				<input name="NAName" type="text" id="NAName"  value="<?php if(isset($NAName)) { echo $NAName; } ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NADelayT">
		<th scope="row"><label for="NADelay">Delay</label></th>
			<td>
				<input name="NADelay" type="text" id="NADelay"  value="<?php if(isset($NADelay)) { echo $NADelay; } ?>" class="regular-text" />
<span class="description">seconds.</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NAURL">Link URL</label></th>
			<td>
				<input name="NAURL" type="text" id="NAURL"  value="<?php if(isset($NAURL)) { echo $NAURL; } ?>" class="regular-text" />
<span class="description">It's the link set on the ads or the page showed in the frame.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAAdsIMGT">
        <th scope="row"><label for="NAAdsIMG">Image URL</label></th>
			<td>
				<input name="NAAdsIMG" type="text" id="NAAdsIMG"  value="<?php if(isset($NAAdsIMG)) { echo $NAAdsIMG; } ?>" class="regular-text" />
<span class="description">URL of the image used as ad.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAYouTubeIDT">
        <th scope="row"><label for="NAYouTubeID">YouTube Video ID</label></th>
			<td>
				<input name="NAYouTubeID" type="text" id="NAYouTubeID"  value="<?php if(isset($NAAdsIMG)) { echo $NAYouTubeID; } ?>" class="regular-text" />
<span class="description">It correspond to strong part of the url : http://www.youtube.com/watch?v=<b>QeWBS0JBNzQ</b></span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NASWFURLT">
        <th scope="row"><label for="NASWFURL">.swf URL</label></th>
			<td>
				<input name="NASWFURL" type="text" id="NASWFURL"  value="<?php if(isset($NASWFURL)) { echo $NASWFURL; } ?>" class="regular-text" />
<span class="description"></span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAEmbedCodeT">
        <th scope="row"><label for="NAEmbedCode">Code to embed</label></th>
			<td>
				<textarea name="NAEmbedCode" id="NAEmbedCode"  rows="10" cols="30" class="large-text code" ><?php if(isset($NAEmbedCode)) { echo html_entity_decode($NAEmbedCode); } ?></textarea>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NASWFOverLinkT">
        <th scope="row"><label for="NASWFOverLink">Link over SWF or code</label></th>
			<td>
				<?
				if(isset($NASWFOverLink) && $NASWFOverLink == "true") 
				{
					$NASWFOverLinkC = "checked";
				}
				?>
				<input type="checkbox" name="NASWFOverLink" id="NASWFOverLink" <?php if(isset($NASWFOverLinkC)) { echo $NASWFOverLinkC; }; ?>/>
<span class="description">This place a link over the flash animation or the embed code.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAWidthT">
        <th scope="row"><label for="NAWidth">Width</label></th>
			<td>
				<input name="NAWidth" type="text" id="NAWidth"  value="<?php if(isset($NAWidth)) { echo $NAWidth; } ?>" class="regular-text" />
<span class="description">px.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAHeightT">
        <th scope="row"><label for="NAHeight">Height</label></th>
			<td>
				<input name="NAHeight" type="text" id="NAHeight"  value="<?php if(isset($NAHeight)) { echo $NAHeight; } ?>" class="regular-text" />
<span class="description">px.</span>
			</td>
		</tr>
	</table>
    <span style="margin-right:5px;"><input type="submit" name="submit" id="submit" class="button-primary" value="Add in the list"  /></span><span><a href="<?=$NAAdminURL[0]?>" class="button-primary">Cancel</a></span>
 </form>
</div>
<?php
}
else if($_GET['Action'] == "Edit" && isset($_GET['id']))
{
	$NAAdID = $_GET['id'];
	
	$NAErrorHandle = false;
	
	$NAAdminURL = str_replace( "%7E", "~", $_SERVER['REQUEST_URI']);
	$NAAdminURL = explode("&", $NAAdminURL);
	
	if(!empty($_POST["submit"])) 
	{ 
		$NAContentType = $_POST["NAContentType"];
		$NAName = $_POST["NAName"];
		$NADelay = $_POST["NADelay"];
		$NAURL = $_POST["NAURL"];
		$NAYouTubeID = $_POST["NAYouTubeID"];
		$NAAdsIMG = $_POST["NAAdsIMG"];
		$NAEmbedCode = $_POST["NAEmbedCode"];
 	    $NASWFURL = $_POST["NASWFURL"];
		$NAWidth = $_POST["NAWidth"];
		$NAHeight = $_POST["NAHeight"];
		
		if(isset($_POST["NASWFOverLink"])) 
		{
			$NASWFOverLink = "true";
		} 
		else 
		{
			$NASWFOverLink = "false";
		}

		if(!is_numeric($NADelay) && $NAContentType != "yt")
		{
			$NAErrorHandle = true;
			$NAErrorCode1 = true;
		}
		
		if(empty($NAName))
		{
			$NAErrorHandle = true;
			$NAErrorCode2 = true;
		}
		
		if(!is_numeric($NAWidth) && $NAContentType != "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode3 = true;
		}
		
		if(!is_numeric($NAHeight) && $NAContentType != "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode4 = true;
		}
		
		if(empty($NAYouTubeID) && $NAContentType == "yt")
		{
			$NAErrorHandle = true;
			$NAErrorCode5 = true;
		}
		
		if(empty($NAEmbedCode) && $NAContentType == "code")
		{
			$NAErrorHandle = true;
			$NAErrorCode6 = true;
		}
		
		if(empty($NASWFURL) && $NAContentType == "swf")
		{
			$NAErrorHandle = true;
			$NAErrorCode7 = true;
		}
		
		if(empty($NAAdsIMG) && $NAContentType == "img")
		{
			$NAErrorHandle = true;
			$NAErrorCode8 = true;
		}
		
		if(empty($NAURL) && $NAContentType != "swf")
		{
			$NAErrorHandle = true;
			$NAErrorCode9 = true;
		}
		else if(empty($NAURL) && $NAContentType == "swf" && $NASWFOverLink == true)
		{
			$NAErrorHandle = true;
			$NAErrorCode9 = true;
		}
		
		if(!$NAErrorHandle)
		{
			$wpdb->update($NATableName, array(
				'ContentType' => $NAContentType, 
				'Name' => mysql_real_escape_string(strip_tags($NAName)), 
				'AdsIMG' => mysql_real_escape_string($NAAdsIMG), 
				'Delay' => $NADelay, 
				'Link' => mysql_real_escape_string($NAURL), 
				'YouTubeID' => mysql_real_escape_string($NAYouTubeID), 
				'SWFURL' => mysql_real_escape_string($NASWFURL), 
				'EmbedCode' => stripslashes(htmlentities($NAEmbedCode)),
				'Width' => mysql_real_escape_string($NAWidth), 
				'Height' => mysql_real_escape_string($NAHeight),
				'LinkOverSWF' => mysql_real_escape_string($NASWFOverLink)
			), array( 'id' => $NAAdID ));
		}
	}
	else
	{
		$NAAd = $wpdb->get_row("SELECT * FROM " . $NATableName . " WHERE id = '". $NAAdID ."'", ARRAY_A);
		
		$NAContentType = $NAAd["ContentType"];
		$NAName = $NAAd["Name"];
		$NADelay = $NAAd["Delay"];
		$NAURL = $NAAd["Link"];
		$NAYouTubeID = $NAAd["YouTubeID"];
		$NAAdsIMG = $NAAd["AdsIMG"];
		$NAEmbedCode = $NAAd["EmbedCode"];
 	    $NASWFURL = $NAAd["SWFURL"];
		$NAWidth = $NAAd["Width"];
		$NAHeight = $NAAd["Height"];
		$NASWFOverLink = $NAAd["LinkOverSWF"];
	}
?>
<div class="wrap">  
<script type="text/javascript">
jQuery(function($) 
{
	ChangeContentType();
	$("#NAContentType").change(ChangeContentType);
});

function ChangeContentType()
{
	jQuery(function($) 
	{
		if($("#NAContentType").val() == "yt")
		{
			$("#NAYouTubeIDT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NADelayT").hide();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
		}
		else if($("#NAContentType").val() == "img")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAAdsIMGT").show();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAWidthT").hide();
			$("#NAHeightT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
		}
		else if($("#NAContentType").val() == "swf")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NASWFOverLinkT").show();
			$("#NAHeightT").show();
			$("#NASWFURLT").show();
			$("#NAAdsIMGT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();
			$("#NAEmbedCodeT").hide();
			
		}
		else if($("#NAContentType").val() == "frame")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();
			$("#NASWFOverLinkT").hide();
			$("#NAEmbedCodeT").hide();
			
		}
		else if($("#NAContentType").val() == "code")
		{
			$("#NADelayT").show();
			$("#NANameT").show();
			$("#NAWidthT").show();
			$("#NAHeightT").show();
			$("#NAEmbedCodeT").show();
			$("#NASWFOverLinkT").show();
			$("#NAAdsIMGT").hide();
			$("#NASWFURLT").hide();
			$("#NAYouTubeIDT").hide();
			$("#NAAdsIMGT").hide();	
		}
	});
}
</script>
<div class="icon32"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/IconNA.png" alt="NagAds Icon"/></div>
<h2>NagAds Settings</h2>
    <?
	if($NAErrorHandle == true) 
	{
			$ErrorMSG = "Here is the error :<BR /><BR />";
			
			if(isset($NAErrorCode1))
			{
				$ErrorMSG .= "- Please write a numeric value for Delay.<BR />";
			}
			if(isset($NAErrorCode2))
			{
				$ErrorMSG .= "- Please write a name for the Ad.<BR />";
			}
			if(isset($NAErrorCode3))
			{
				$ErrorMSG .= "- Please write a numeric value for the Width.<BR />";
			}
			if(isset($NAErrorCode4))
			{
				$ErrorMSG .= "- Please write a numeric value for the Height.<BR />";
			}
			if(isset($NAErrorCode5))
			{
				$ErrorMSG .= "- Please write a YouTube ID.<BR />";
			}
			if(isset($NAErrorCode6))
			{
				$ErrorMSG .= "- Please write a code to embed.<BR />";
			}
			if(isset($NAErrorCode7))
			{
				$ErrorMSG .= "- Please write an swf URL.<BR />";
			}
			if(isset($NAErrorCode8))
			{
				$ErrorMSG .= "- Please write an image URL.<BR />";
			}
			if(isset($NAErrorCode9))
			{
				$ErrorMSG .= "- Please write a link URL.<BR />";
			}
			?>
<div class="error" id="error"><p><b><?php echo $ErrorMSG; ?></b></p></div>	
	<?
	}
	else if(isset($_POST["submit"]))
	{
	?>
<script type="text/javascript">
window.location = "<?=$NAAdminURL[0]?>";
</script>
	<?
	}
	?>

 <form method="POST" action="<?php echo str_replace( "%7E", "~", $_SERVER['REQUEST_URI']); ?>"> 
	<h3>Add an ad</h3>
    <table class="form-table">
		<tr valign="top">
		<th width="204" scope="row"><label for="NAContentType">Type Of Content</label></th>
			<td >
				<select name="NAContentType" id="NAContentType">		
				<option value="yt" <? if($NAContentType == "yt") { echo "selected"; } ?>>YouTube Video</option>
                <option value="img" <? if($NAContentType == "img") { echo "selected"; } ?>>Image</option>
                <option value="swf" <? if($NAContentType == "swf") { echo "selected"; } ?>>Flash Animation (.swf)</option>	
                <option value="frame" <? if($NAContentType == "frame") { echo "selected"; } ?>>Frame</option>	
                <option value="code" <? if($NAContentType == "code") { echo "selected"; } ?>>Embed a code</option>				
				</select>
<span class="description">The type of content.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NANameT">
		<th scope="row"><label for="NAName">Nom of the ad</label></th>
			<td>
				<input name="NAName" type="text" id="NAName"  value="<?php if(isset($NAName)) { echo $NAName; } ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NADelayT">
		<th scope="row"><label for="NADelay">Delay</label></th>
			<td>
				<input name="NADelay" type="text" id="NADelay"  value="<?php if(isset($NADelay)) { echo $NADelay; } ?>" class="regular-text" />
<span class="description">seconds.</span>
			</td>
		</tr>
        <tr valign="top">
        <th scope="row"><label for="NAURL">Link URL</label></th>
			<td>
				<input name="NAURL" type="text" id="NAURL"  value="<?php if(isset($NAURL)) { echo $NAURL; } ?>" class="regular-text" />
<span class="description">It's the link set on the ads or the page showed in the frame.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAAdsIMGT">
        <th scope="row"><label for="NAAdsIMG">Image URL</label></th>
			<td>
				<input name="NAAdsIMG" type="text" id="NAAdsIMG"  value="<?php if(isset($NAAdsIMG)) { echo $NAAdsIMG; } ?>" class="regular-text" />
<span class="description">URL of the image used as ad.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAYouTubeIDT">
        <th scope="row"><label for="NAYouTubeID">YouTube Video ID</label></th>
			<td>
				<input name="NAYouTubeID" type="text" id="NAYouTubeID"  value="<?php if(isset($NAAdsIMG)) { echo $NAYouTubeID; } ?>" class="regular-text" />
<span class="description">It correspond to strong part of the url : http://www.youtube.com/watch?v=<b>QeWBS0JBNzQ</b></span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NASWFURLT">
        <th scope="row"><label for="NASWFURL">.swf URL</label></th>
			<td>
				<input name="NASWFURL" type="text" id="NASWFURL"  value="<?php if(isset($NASWFURL)) { echo $NASWFURL; } ?>" class="regular-text" />
<span class="description"></span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAEmbedCodeT">
        <th scope="row"><label for="NAEmbedCode">Code to embed</label></th>
			<td>
				<textarea name="NAEmbedCode" id="NAEmbedCode"  rows="10" cols="30" class="large-text code" ><?php if(isset($NAEmbedCode)) { echo html_entity_decode($NAEmbedCode); } ?></textarea>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NASWFOverLinkT">
        <th scope="row"><label for="NASWFOverLink">Link over SWF or code</label></th>
			<td>
				<?
				if(isset($NASWFOverLink) && $NASWFOverLink == "true") 
				{
					$NASWFOverLinkC = "checked";
				}
				?>
				<input type="checkbox" name="NASWFOverLink" id="NASWFOverLink" <?php if(isset($NASWFOverLinkC)) { echo $NASWFOverLinkC; }; ?>/>
<span class="description">This place a link over the flash animation or the embed code.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAWidthT">
        <th scope="row"><label for="NAWidth">Width</label></th>
			<td>
				<input name="NAWidth" type="text" id="NAWidth"  value="<?php if(isset($NAWidth)) { echo $NAWidth; } ?>" class="regular-text" />
<span class="description">px.</span>
			</td>
		</tr>
        <tr valign="top" style="display:none;" id="NAHeightT">
        <th scope="row"><label for="NAHeight">Height</label></th>
			<td>
				<input name="NAHeight" type="text" id="NAHeight"  value="<?php if(isset($NAHeight)) { echo $NAHeight; } ?>" class="regular-text" />
<span class="description">px.</span>
			</td>
		</tr>
	</table>
    <span style="margin-right:5px;"><input type="submit" name="submit" id="submit" class="button-primary" value="Save the changes"  /></span><span><a href="<?=$NAAdminURL[0]?>" class="button-primary">Cancel</a></span>
 </form>
</div>
<?php
}
else if($_GET['Action'] == "Delete" && isset($_GET['id']))
{
	$NAAdminURL = str_replace( "%7E", "~", $_SERVER['REQUEST_URI']);
	$NAAdminURL = explode("&", $NAAdminURL);
	
	$NAAdID = $_GET['id'];
	$wpdb->query("DELETE FROM " . $NATableName . " WHERE id = ". $NAAdID);
	
	$NAAdCounter = $wpdb->get_row("SELECT count(*) NACount FROM " . $NATableName . "", ARRAY_A);
	
	if($NAAdCounter['NACount'] == 0)
	{
		update_option("NAEnabled", false);
	}
	echo "<script type=\"text/javascript\">window.location = \"". $NAAdminURL[0]. "\";</script>";
}
else
{
?>
<div class="icon32"><img src="<?=WP_PLUGIN_URL?>/NagAds/images/IconNA.png" alt="NagAds Icon"/></div>
<h2>NagAds Settings</h2>
<p align="center"><h3>You are trying to access a nonexistent page.</h3></p>
</div>
<?php
}
?>